/*-----------
Modal
-----------*/

// Overall Structure

.modal {
    position: fixed;
    top: 0;
    left: 0;
    background: rgba($navy, .9);
    opacity: 0;
    z-index: -10;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: opacity .3s ease-in-out, z-index 0s .5s ease-in-out;
}

.modal.open {
    z-index: 100;
    opacity: 1;
    transition: opacity .5s ease-in-out;
}

// Transparent Layer

.modal_transparent_layer {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 10;
    opacity: 0;
    width: 100%;
    height: 100%;    
}

// Main Content

.modal_content {
  z-index: 13;
  max-width: 600px;
  width: 90%;
  margin: 0 auto;
  color: $orange;
}

/*==================================
ICONS
==================================*/

.close_icon {
  position: absolute;
  display: inline-block;
  top: 30px;
  right: 30px;
  width: 30px;
  height: 30px;
  overflow: hidden;
  z-index: 20;
  cursor: pointer;

  &::before, &::after {
    content: '';
    position: absolute;
    height: 1px;
    width: 100%;
    top: 50%;
    left: 0;
    margin-top: -1px;
    background: $white;
    transition: background .3s ease-in-out;
    backface-visibility: hidden;
  }

  &::before {
    transform: rotate(45deg);
  }

  &::after {
    transform: rotate(-45deg);
  }
  
  &:hover {
    &::before, &::after {
      background: $orange;
    }
  }
  
  @include mobile_landscape {
    top: 15px;
    right: 15px;
    width: 20px;
    height: 20px;
  }
  
}
